commit f5e4d954fc05b46c5959d250814c8ae8081ea7ad
Author: Alex Osborne <bobofdoom@gmail.com>
Date:   Sun Jul 29 20:43:53 2007 +1000

    Change alive check and first commands to bare "AT"
    
    The BCM2132 responds ERROR to ATV and ATE when it is in the radio off
    mode (AT+CFUN=0).  This causes the alive check and first command to both
    fail so this changes them both to just bare AT.
---
 gsmd.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: gsm/src/gsmd/gsmd.c
===================================================================
--- gsm.orig/src/gsmd/gsmd.c	2007-08-15 00:35:13.000000000 +0800
+++ gsm/src/gsmd/gsmd.c	2007-08-15 00:36:37.000000000 +0800
@@ -45,7 +45,7 @@
 #include <gsmd/vendorplugin.h>
 #include <gsmd/talloc.h>
 
-#define GSMD_ALIVECMD		"ATE0"
+#define GSMD_ALIVECMD		"AT"
 #define GSMD_ALIVE_INTERVAL	5*60
 #define GSMD_ALIVE_TIMEOUT	30
 
@@ -238,7 +238,7 @@
 	struct gsmd_atcmd *cmd;
 	struct timeval tv;
 
-	cmd = atcmd_fill("ATE0V1", strlen("ATE0V1")+1, &firstcmd_atcb, gsmd, 0);
+	cmd = atcmd_fill("AT", strlen("AT")+1, &firstcmd_atcb, gsmd, 0);
 	if (!cmd)
 		return -ENOMEM;
 	
